Name:		audacious
Version:	3.8.1
Release:	%mkrel 1
Summary:	A versatile and handy media player
Summary(de):	Ein vielseitiger und handlicher Mediaplayer
License:	BSD
Group:		Sound
Url:		http://audacious-media-player.org/
Source0:        %{name}-%{version}-gtk3.tar.xz
BuildRoot:      %{defaultbuildroot}
BuildRequires:	desktop-file-utils
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  libpthread-stubs

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%description -l de
Audacious ist ein Mediaplayer der auf dem BMP Musikplayer basiert.
Seine Hauptziele sind Benutzerfreundlichkeit und die Nutzung von aktuellen
Desktopstandards.

%package devel
Group:		Development/Libraries
Summary:	Development package for Audacious
Requires:	%{name} = %{version}-%{release}

%description devel
Development package for Audacious

%description devel -l de
Entwicklungspaket für Audacious

%prep
%setup -qn %{name}-%{version}-gtk3

%build
%configure2_5x \
  --disable-rpath \
  --with-buildstamp="%{distribution}"
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}/%{_datadir}/applications %{name}.desktop
%find_lang %{name}

%post
echo -e '\n  This package also needs the audacious-plugins package to work properly.\n'

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_bindir}/audtool
%{_libdir}/*.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/AUTHORS
%exclude %{_datadir}/%{name}/COPYING
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/*.bz2

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Dec 30 2016 adrianomorselli <adrianomorselli> 3.8.1-1uplos2016
- rebuild

* Fri Dec 23 2016 ghostbunny <ghostbunny at gmx dot de> 3.8.1-1pclos2017
- 3.8.1

* Sun Sep 25 2016 ghostbunny <ghostbunny at gmx dot de> 3.8-1pclos2016
- 3.8
- remove usage of _desktopfile macro it is not contained in a minimal
  installation

* Sun Apr 03 2016 marcin82 <marcin82 at vp.pl> 3.7.2-1pclos2016
- update
- added R: %{name} to %{name}-devel package
- changes in spec file

* Tue Jan 05 2016 bb <bb> 3.7.1-1pclos2016
- update

* Sun Apr 04 2015 bb <bb> 3.6.1-1pclos2015
- update

* Tue Mar 31 2015 bb <bb> 3.6-4pclos2015
- req gnome-themes-standard
